#version 130

in vec3 position;
in vec3 normal;

//uniform mat4 view;
//uniform mat4 proj;
uniform mat4 viewproj;
uniform mat4 world;
uniform vec3 light_world_position;

out float lighting;

void main()
{
    vec4 world_pos = world * vec4(position, 1);

    gl_Position = viewproj * world_pos;

    vec4 world_normal = world * vec4(normal, 0);
    world_normal = normalize(world_normal);

    vec3 l = normalize(light_world_position - world_pos.xyz);
    lighting = dot(world_normal.xyz, l);
}
